package cc.smtweb.system.bpm.web.sys.user.dataRightGroup;

import cc.smtweb.framework.core.common.SwMap;

import java.util.List;

/**
 * Created by Akmm at 2016/9/13 11:52
 * 数据权限类定义
 */
public interface IDataRightTreeWorker {

    List<SwMap> getExtraValues();

    SwMap buildExtraValue(long key, String value);

    List<SwMap> getChildren(long id);

    //获取值的显示文本
    String getText(long value);
}
